
#define MOTOR_PIN 9
#define SPEED_CONTROL_PIN A5

void setup()
{
    pinMode(MOTOR_PIN, OUTPUT);
    pinMode(SPEED_CONTROL_PIN, INPUT);
}

void loop()
{
    /* analogRead is the opposite of analogWrite. It turns
    a voltage between 0 and 5V into a number.
    Unlike analogWrite (where the number went up to 255),
    analogRead can return numbers up to 1023.
    So a value of 345 would represent a voltage of 1.7V */
    int value = analogRead(SPEED_CONTROL_PIN);
    
    /* Because the range of analogRead is 4x greater than
    the range of analogWrite, we need to divide the value by 4 */
    analogWrite(MOTOR_PIN, value / 4);
}
